/* Copyright (C) 1996,1997 Robert H”hne, see COPYING.RH for details */
/* This file is part of RHIDE. */
#if !defined( __TWindowList )
#define __TWindowList

class TWindow;

typedef struct {
  TWindow *window;
  TWindow **ref;
  char *full_name;
  char *base_name;
} DeskTopWindow;

class TWindowList : public TEnterListBox
{
public:
  TWindowList(const TRect& bounds, ushort aNumCols, TScrollBar *aScrollBar);
  virtual void handleEvent(TEvent &event);
  virtual void newList(TCollection *);
  virtual void getText(char *,ccIndex,short);
  virtual void selectItem(ccIndex item);
};

#endif
